%global fontname drehatlas-warender-bibliothek
%global fontconf 61-%{fontname}.conf

Name:		%{fontname}-fonts
Version:	1.0.1.1
Release:	1%{?dist}
Summary:	A Latin typeface that is decorative, surreal, and hairy
Group:		User Interface/X
License:	OFL
URL:		http://www.drehatlas.de/
Source0:	ofl-font-warenderbibliothek-%{version}.zip
Source1:	%{fontconf}
Source2:	Makefile.warender-bibliothek
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch
BuildRequires:	fontpackages-devel fontforge
Requires:	fontpackages-filesystem

%description
This font was created by Peter Schwanemann and originally based on a hand drawn
font created for a Pen & Paper RPG. Nowadays the font gets more and more
complete and should give the possibility of creating fantasy and/or decorative
logos, headings and other texts.  The font was not created to be used in body
texts, as it is too complex and not as easy to read as a simple sans serif
font.

%prep
%setup -q -c %{name}-%{version}
# Wrap the license file at 80 chars
fold -s LICENSE > LICENSE.new
touch -r LICENSE LICENSE.new
mv LICENSE.new LICENSE

%build
# A .ttf file is included, but .otf is preferred.
make -f %{SOURCE2} WarenderBibliothek.otf

%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
	%{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%clean
rm -fr %{buildroot}

%_font_pkg -f %{fontconf} *.otf
%doc LICENSE FONTLOG

%changelog
* Sat Oct 17 2009 Dave Ludlow <dave@adsllc.com> 1.0.1.1-1
- Initial packaging
